Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 589790 - mrtg denial
Summary: mrtg denial
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-06 21:26 UTC by Dave Jones
Modified: 2015-01-04 22:31 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-09 00:19:45 UTC


Attachments (Terms of Use)

Description Dave Jones 2010-05-06 21:26:46 UTC
I have an mrtg cronjob installed, which isn't working because of this denial ..

kernel: [1016419.900433] type=1400 audit(1273181010.692:1326): avc:  denied  { dac_override } for  pid=26131 comm="rateup" capability=1  scontext=system_u:system_r:mrtg_t:s0-s0:c0.c1023 tcontext=system_u:system_r:mrtg_t:s0-s0:c0.c1023 tclass=capability

Comment 1 Daniel Walsh 2010-05-07 15:28:20 UTC
dac_override usually means you have something with the wrong ownership.

Can you turn on full auditing, to get the path.

auditctl -w /etc/shadow -p w 

Will turn it on.

Comment 2 Dave Jones 2010-05-09 00:19:45 UTC
/var/log/* had a bunch of incorrect perms. weird.


Note You need to log in before you can comment on or make changes to this bug.